Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » parallel programming with threads and tasks » isReady(Task)
next | previous | forward | backward | up | index | toc

# isReady(Task) -- whether a task is finished

- Function: isReady
- Usage:
    `isReady t`
- Inputs:
  - t, a task,
- Outputs:
  - a Boolean value, whether the task t has finished executing and a return value is available

## Description

The return value can be retrieved with taskResult(Task).

## Ways to use this method:

- isReady(Task) -- whether a task is finished

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_threads.m2:498:0.